# Recovering project admin access

If you lost administrator access to a project of your organization, you can restore it if you’re an organization admin:

* At the project level. This requires the Browse Project permission in case of a private project.
* By using the Projects Management page. This is only possible with an Enterprise plan.
* By using the API.

## At the project level <a href="#project-level" id="project-level"></a>

1. Retrieve your project. See [Retrieving projects](/sonarqube-cloud/managing-your-projects/retrieving-projects.md) for more details.
2. Go to **Administration** > **Restore access**. The **Restore admin permissions** dialog opens.
3. Select the **Restore permissions** button. You are now granted the Administer and/or Browse permission for the project.

## By using the Projects Management page <a href="#projects-management-page" id="projects-management-page"></a>

This method is only possible with an Enterprise plan organization.

To restore administrator access to a project by using the Projects Management page:

1. Retrieve your organization. See [Retrieving your organizations](/sonarqube-cloud/getting-started/viewing-organizations.md) for more details.
2. Go to **Administration** > **Projects Management**.
3. In the three-dot menu at the far right of the project line, select **Restore access**. You will then be granted the Administer and/or Browse permission for the project.

## By using the API <a href="#api" id="api"></a>

Use the [add\_user API endpoint](https://sonarcloud.io/web_api/api/permissions/add_user?deprecated=false) to grant an organization administrator `admin` permission to the project. To identify the project, you can use the `projectKey` (the `projectId` is optional).

## Related page <a href="#related-pages" id="related-pages"></a>

* [Setting your project's permissions](/sonarqube-cloud/managing-your-projects/administering-your-projects/setting-permissions.md)
* [Recovering organization admin access](/sonarqube-cloud/administering-sonarcloud/managing-organization/recovering-org-admin-access.md)
* [Recovering enterprise admin access](/sonarqube-cloud/administering-sonarcloud/managing-enterprise/recovering-enterprise-admin-access.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sonarsource.com/sonarqube-cloud/administering-sonarcloud/managing-organization/manage-org-projects/manage-project-permissions/recovering-admin-access.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
